<lib-condensed-header-layout
  *transloco="let t"
  [pageTitle]="t('feature_app_feedback.questionare.main_headings')"
  [useMaximumBackground]="true"
  class="ion-page"
>
  <ion-grid class="ion-no-padding flex-list-subsections" id="mainAppFeedback">
    <ion-row *ngIf="!isConnected || showConnectivityError">
      <lib-connectivity-error-handling-card
        [show]="true"
        [title]="t('feature_app_feedback.connectivity-error.title')"
      >
      </lib-connectivity-error-handling-card>
    </ion-row>
    @if (isConnected && !showConnectivityError) {
      <p class="sub-header">
        {{ t('feature_app_feedback.questionare.sub_headings') }}
      </p>

      <ion-row *ngIf="loading" class="ion-justify-content-center">
        <ion-col size="auto">
          <ion-spinner></ion-spinner>
        </ion-col>
      </ion-row>

      <div *ngIf="feedbackForms" class="flex-list-subsections">
        <div
          *ngFor="let question of feedbackForms.questions; let i = index"
          class="flex-list-lines"
        >
          <ion-label class="feedback-form-header"
            >{{ i + 1 }}) {{ question.localizedQuestionName }}</ion-label
          >
          <ion-list>
            <ion-radio-group
              (ionChange)="setFeedbackSubmissionDataRadioButtons(question.id!)"
              [(ngModel)]="feedbackOptionIds[question.id!]"
              value="custom-checked"
              class="flex-list-lines"
            >
              <ion-radio
                *ngFor="let option of question.options"
                mode="md"
                [value]="option.id"
                labelPlacement="end"
                alignment="center"
                justify="start"
              >
                <ion-label>{{ option.localizedText }}</ion-label>
              </ion-radio>
              <ion-row
                *ngIf="question.questionType === questionTypes.SINGLE_CHOICE"
                class="flex-list-minor-min"
              >
                <div class="single-choice-textarea-header">
                  {{ t('feature_app_feedback.questionare.question_reason') }}
                </div>
                <ion-textarea
                  (ionChange)="
                    setFeedbackSubmissionDataTextArea(question.id!, $event)
                  "
                  [attr.name]="question.id"
                  [counter]="false"
                  class="textarea-single-choice"
                  auto-grow="true"
                  maxlength="100"
                  rows="1"
                ></ion-textarea>
              </ion-row>
              <ion-row
                *ngIf="question.questionType === questionTypes.FREE_TEXT"
                class="ion-justify-content-end"
              >
                <ion-textarea
                  (input)="onFreeTextareaInput($event)"
                  (ionChange)="
                    setFeedbackSubmissionDataTextArea(question.id!, $event)
                  "
                  [counter]="false"
                  [rows]="5"
                  auto-grow="true"
                  class="textarea-free-text"
                  [maxlength]="charactersMaxLength"
                ></ion-textarea>
                <div class="textarea-free-characters-text">
                  {{
                    t(
                      'feature_app_feedback.issue-report.characters_available',
                      {
                        characters_left: charactersLeft,
                      }
                    )
                  }}
                </div>
              </ion-row>
            </ion-radio-group>
          </ion-list>
        </div>
        <ion-row class="ion-justify-content-center">
          <lib-custom-vertical-button
            class="custom-vertical-button"
            startIcon="send"
            [colorScheme]="customButtonColorScheme.main"
            [buttonType]="customButtonType.button"
            [title]="t('feature_app_feedback.issue-report.button_text')"
            (buttonClick)="submitFeedback()"
          ></lib-custom-vertical-button>
        </ion-row>
      </div>
    }
  </ion-grid>
</lib-condensed-header-layout>
